For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tables

List all tables in a module

get

Retrieves all tables within a module

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
moduleNamestring · min: 1 · max: 100Erforderlich

Module name

Example: crmPattern: ^[a-z0-9_]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Antworten
200

Tables retrieved successfully

application/json
get/api/v1/workspace/{workspaceId}/modules/{moduleName}/tables
GET /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "createRoles": [
        "text"
      ],
      "deleteRoles": [
        "text"
      ],
      "fields": [
        {
          "expression": "text",
          "expressionErrors": [
            {
              "column": 1,
              "line": 1,
              "message": "text"
            }
          ],
          "index": true,
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "name": "text",
          "optionColor": "text",
          "optionIcon": "text",
          "optionName": "text",
          "options": [
            {
              "color": "text",
              "icon": "text",
              "id": "text",
              "labels": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "name": "text",
              "order": 1,
              "textColor": "text"
            }
          ],
          "readRoles": [
            "text"
          ],
          "refTableId": "text",
          "required": true,
          "search": true,
          "type": "any",
          "unique": true,
          "variant": "text",
          "writeRoles": [
            "text"
          ]
        }
      ],
      "hasFiles": true,
      "hasGlobalSearch": true,
      "hasHistory": true,
      "icon": {
        "color": "text",
        "filling": 0,
        "icon": "text"
      },
      "isEmailLinkingEnabled": true,
      "isHidden": true,
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "name": "text",
      "readRoles": [
        "text"
      ],
      "writeRoles": [
        "text"
      ]
    }
  ]
}

Create a table

post

Creates a new table in a module

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
moduleNamestring · min: 1 · max: 100Erforderlich

Module name

Example: crmPattern: ^[a-z0-9_]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Body
namestring · min: 1 · max: 100Erforderlich

Table name

Pattern: ^[a-z0-9_]+$
hasFilesbooleanOptional

Enable files for the table

hasGlobalSearchbooleanOptional

Enable global search for the table

hasHistorybooleanOptional

Enable history for the table

isEmailLinkingEnabledbooleanOptional

Enable email linking for the table

isHiddenbooleanOptional

Hide the table

Antworten
201

Table created successfully

application/json
post/api/v1/workspace/{workspaceId}/modules/{moduleName}/tables
POST /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 91

{
  "icon": {
    "color": "#3381ff",
    "icon": "school"
  },
  "labels": {
    "": "Full table"
  },
  "name": "full_table"
}
{
  "data": {
    "createRoles": [
      "text"
    ],
    "deleteRoles": [
      "text"
    ],
    "fields": [
      {
        "expression": "text",
        "expressionErrors": [
          {
            "column": 1,
            "line": 1,
            "message": "text"
          }
        ],
        "index": true,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "name": "text",
        "optionColor": "text",
        "optionIcon": "text",
        "optionName": "text",
        "options": [
          {
            "color": "text",
            "icon": "text",
            "id": "text",
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "name": "text",
            "order": 1,
            "textColor": "text"
          }
        ],
        "readRoles": [
          "text"
        ],
        "refTableId": "text",
        "required": true,
        "search": true,
        "type": "any",
        "unique": true,
        "variant": "text",
        "writeRoles": [
          "text"
        ]
      }
    ],
    "hasFiles": true,
    "hasGlobalSearch": true,
    "hasHistory": true,
    "icon": {
      "color": "text",
      "filling": 0,
      "icon": "text"
    },
    "isEmailLinkingEnabled": true,
    "isHidden": true,
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "name": "text",
    "readRoles": [
      "text"
    ],
    "writeRoles": [
      "text"
    ]
  }
}

Get a specific table

get

Retrieves detailed information about a specific table, including its fields

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
moduleNamestring · min: 1 · max: 100Erforderlich

Module name

Example: crmPattern: ^[a-z0-9_]+$
tableNamestring · min: 1 · max: 100Erforderlich

Table name

Example: contactsPattern: ^[a-z0-9_]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Antworten
200

Table details retrieved successfully

application/json
get/api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}
GET /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "createRoles": [
      "text"
    ],
    "deleteRoles": [
      "text"
    ],
    "fields": [
      {
        "expression": "text",
        "expressionErrors": [
          {
            "column": 1,
            "line": 1,
            "message": "text"
          }
        ],
        "index": true,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "name": "text",
        "optionColor": "text",
        "optionIcon": "text",
        "optionName": "text",
        "options": [
          {
            "color": "text",
            "icon": "text",
            "id": "text",
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "name": "text",
            "order": 1,
            "textColor": "text"
          }
        ],
        "readRoles": [
          "text"
        ],
        "refTableId": "text",
        "required": true,
        "search": true,
        "type": "any",
        "unique": true,
        "variant": "text",
        "writeRoles": [
          "text"
        ]
      }
    ],
    "hasFiles": true,
    "hasGlobalSearch": true,
    "hasHistory": true,
    "icon": {
      "color": "text",
      "filling": 0,
      "icon": "text"
    },
    "isEmailLinkingEnabled": true,
    "isHidden": true,
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "name": "text",
    "readRoles": [
      "text"
    ],
    "writeRoles": [
      "text"
    ]
  }
}

Delete a table

delete

Deletes a table in a module

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
moduleNamestring · min: 1 · max: 100Erforderlich

Module name

Example: crmPattern: ^[a-z0-9_]+$
tableNamestring · min: 1 · max: 100Erforderlich

Table name

Example: contactsPattern: ^[a-z0-9_]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Antworten
200

Table deleted successfully

application/json
delete/api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}
DELETE /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "text"
  }
}

Update a table

patch

Updates an existing table in a module

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
moduleNamestring · min: 1 · max: 100Erforderlich

Module name

Example: crmPattern: ^[a-z0-9_]+$
tableNamestring · min: 1 · max: 100Erforderlich

Table name

Example: contactsPattern: ^[a-z0-9_]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Body
namestring · min: 1 · max: 100Optional

Table name

Pattern: ^[a-z0-9_]+$
hasFilesbooleanOptional

Enable files for the table

hasGlobalSearchbooleanOptional

Enable global search for the table

hasHistorybooleanOptional

Enable history for the table

isEmailLinkingEnabledbooleanOptional

Enable email linking for the table

isHiddenbooleanOptional

Hide the table

Antworten
200

Table updated successfully

application/json
patch/api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}
PATCH /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 313

{
  "createRoles": [
    "editor",
    "admin"
  ],
  "deleteRoles": [
    "admin"
  ],
  "hasFiles": true,
  "hasGlobalSearch": true,
  "hasHistory": true,
  "icon": {
    "color": "#3381ff",
    "icon": "school"
  },
  "isEmailLinkingEnabled": true,
  "isHidden": true,
  "labels": {
    "": "Full table"
  },
  "name": "full_table",
  "readRoles": [
    "admin",
    "editor"
  ],
  "writeRoles": [
    "editor",
    "admin"
  ]
}
{
  "data": {
    "createRoles": [
      "text"
    ],
    "deleteRoles": [
      "text"
    ],
    "fields": [
      {
        "expression": "text",
        "expressionErrors": [
          {
            "column": 1,
            "line": 1,
            "message": "text"
          }
        ],
        "index": true,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "name": "text",
        "optionColor": "text",
        "optionIcon": "text",
        "optionName": "text",
        "options": [
          {
            "color": "text",
            "icon": "text",
            "id": "text",
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "name": "text",
            "order": 1,
            "textColor": "text"
          }
        ],
        "readRoles": [
          "text"
        ],
        "refTableId": "text",
        "required": true,
        "search": true,
        "type": "any",
        "unique": true,
        "variant": "text",
        "writeRoles": [
          "text"
        ]
      }
    ],
    "hasFiles": true,
    "hasGlobalSearch": true,
    "hasHistory": true,
    "icon": {
      "color": "text",
      "filling": 0,
      "icon": "text"
    },
    "isEmailLinkingEnabled": true,
    "isHidden": true,
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "name": "text",
    "readRoles": [
      "text"
    ],
    "writeRoles": [
      "text"
    ]
  }
}

Zuletzt aktualisiert

War das hilfreich?